# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(Data/Dumper.pm) perl(Storable.pm) perl-devel perl-podlators
# END SourceDeps(oneline)
Name:           perl-IPC-SharedCache
Version:        1.3
Release:        alt2_21
Summary:        Perl module to manage a cache in SysV IPC shared memory

Group:          Development/Perl
License:        GPLv2+
URL:            http://search.cpan.org/dist/IPC-SharedCache/
Source0:        http://www.cpan.org/authors/id/S/SA/SAMTREGAR/IPC-SharedCache-%{version}.tar.gz
Patch0:         IPC-SharedCache-1.3-test.patch

BuildArch:      noarch
BuildRequires:  perl(IPC/ShareLite.pm)
BuildRequires:  perl(ExtUtils/MakeMaker.pm)
Source44: import.info

%description
This module provides a shared memory cache accessed as a tied hash.
Shared memory is an area of memory that is available to all processes.
It is accessed by choosing a key, the ipc_key argument to tie.  Every
process that accesses shared memory with the same key gets access to
the same region of memory.  In some ways it resembles a file system,
but it is not hierarchical and it is resident in memory.  This makes
it harder to use than a filesystem but much faster.  The data in
shared memory persists until the machine is rebooted or it is
explicitly deleted.


%prep
%setup -q -n IPC-SharedCache-%{version}
%patch0 -p1

%build
%{__perl} Makefile.PL INSTALLMAN1DIR=%_man1dir INSTALLDIRS=vendor
make %{?_smp_mflags}


%install
make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} ';'
find $RPM_BUILD_ROOT -type d -depth -exec rmdir {} 2>/dev/null ';'
chmod -R u+w $RPM_BUILD_ROOT/*


%check
make test


%files
%doc ANNOUNCE Changes LICENSE README
%{perl_vendor_privlib}/IPC/


%changelog
* Mon Mar 04 2013 Igor Vlasenko <viy@altlinux.ru> 1.3-alt2_21
- update to new release by fcimport

* Tue Jul 31 2012 Igor Vlasenko <viy@altlinux.ru> 1.3-alt2_20
- update to new release by fcimport

* Fri May 25 2012 Igor Vlasenko <viy@altlinux.ru> 1.3-alt2_18
- fc import

* Thu May 24 2012 Igor Vlasenko <viy@altlinux.ru> 1.3-alt1_18
- fc import

